Bug 225752 - Mk/Uses/python.mk: remove deprecated "USES=python:2" and "USES=python:3"
Summary: Mk/Uses/python.mk: remove deprecated "USES=python:2" and "USES=python:3"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-08 08:33 UTC by Yasuhiro KIMURA
Modified: 2019-08-11 19:50 UTC (History)
2 users (show)

See Also:
antoine: exp-run?


Attachments
patch file (267.50 KB, patch)
2018-02-08 08:33 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (266.55 KB, patch)
2018-02-10 05:00 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (267.78 KB, patch)
2018-02-12 01:09 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (268.88 KB, patch)
2018-02-19 07:45 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (8.28 KB, patch)
2018-02-21 00:17 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2018-02-08 08:33:35 UTC
Created attachment 190420 [details]
patch file

* Remove deprecated "USES=python2" and "USES=python3"
* Replace "USES=python2" with "USES=python2.7" in ports that use it.
* Adjust python version of some other ports.
* Bump PORTREVISON of affected ports.
Comment 1 Mathieu Arnold freebsd_committer 2018-02-08 11:04:22 UTC
I have not looked at the whole diff, but it feels like a very mechanical change. USES=python:2 installs other files than the python2 symlink, files that ports may need.  Have you tested that they all still build?

Also, I do not think there is any need to bump PORTREVISION.

Also, do not completely remove the code from python.mk, you must change the DEV_WARNING to a DEV_ERROR.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-02-08 15:38:52 UTC
Changing from python:2 to python:2.7 removes the lang/python2 dependency.
Comment 3 Antoine Brodin freebsd_committer 2018-02-08 18:39:28 UTC
It seems chinese/gydict was missed in the patch
Comment 4 commit-hook freebsd_committer 2018-02-08 18:45:17 UTC
A commit references this bug:

Author: antoine
Date: Thu Feb  8 18:44:13 UTC 2018
New revision: 461254
URL: https://svnweb.freebsd.org/changeset/ports/461254

Log:
  Remove dependency on the python3 symlink

  PR:		225752

Changes:
  head/chinese/gydict/Makefile
Comment 5 Antoine Brodin freebsd_committer 2018-02-08 19:07:40 UTC
net-im/mastodon was missed too
Comment 6 Mathieu Arnold freebsd_committer 2018-02-08 23:41:25 UTC
(In reply to Po-Chuan Hsieh from comment #2)
> Changing from python:2 to python:2.7 removes the lang/python2 dependency.

It's the idea, yes.
Comment 7 Yasuhiro KIMURA 2018-02-09 14:10:40 UTC
(In reply to Mathieu Arnold from comment #1)
> I have not looked at the whole diff, but it feels like a very mechanical
> change. USES=python:2 installs other files than the python2 symlink,
> files that ports may need.  Have you tested that they all still build?

I tried test build of all affected ports with poudriere.

Ports tree: r461207 + proposed patch.
Host OS: 11.1-RELEASE amd64
Poudriere jail OS: 11.1-RELEASE amd64

Build logs are put at following URL.

http://www.utahime.org/FreeBSD/poudriere/data/logs/bulk/111amd64-git/2018-02-08_20h41m06s/

Out of 457 target ports. 453 ports could be built successfully.

There 4 ports that couldn't be built.

1. databases/pgworksheet

Build of this port is skipped because databases/py-pyPgSQL, one of depending port, is marked BROKEN.

2. math/hfst

Build of this port is ignored because it is marked BROKEN.

3. net/xorp
4. lang/v8-devel

Build of these ports failed at build phase. So I retried build of these ports without applying proposed patch and confirmed build still failed.

> Also, I do not think there is any need to bump PORTREVISION.

If 'USES=python:2" is changed into 'USES=python:2.7', then run-time dependency changes from lang/python2 to lang/python2.7. So I think bumping is necessary.

> Also, do not completely remove the code from python.mk, you must change
> the DEV_WARNING to a DEV_ERROR.

OK. As for it I'll update my patch.
Comment 8 Yasuhiro KIMURA 2018-02-10 05:00:54 UTC
Created attachment 190473 [details]
updated patch file

* Restore removed codes in Mk/Uses/python.mk and replace DEV_WARING with DEV_ERROR.
* Sync with ports r461359.

So please commit attached patch instead of original one.
Comment 9 Antoine Brodin freebsd_committer 2018-02-10 06:34:35 UTC
(In reply to Yasuhiro KIMURA from comment #8)
net-im/mastodon is still missed in this patch
Comment 10 Antoine Brodin freebsd_committer 2018-02-10 07:38:10 UTC
Also this definitely needs an exp-run before commit.
Comment 11 Antoine Brodin freebsd_committer 2018-02-11 15:59:16 UTC
New failures on 11.1 i386:

+ {"origin"=>"games/mudmagic", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/pitivi", "phase"=>"stage", "errortype"=>"process_failed"}
+ {"origin"=>"net-im/mastodon", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/w3af", "phase"=>"run-depends", "errortype"=>"???"}

New failure logs on 11.1 i386:

http://package23.nyi.freebsd.org/data/111i386-default-PR225752/2018-02-11_15h26m53s/logs/errors/mudmagic-1.9_17.log
http://package23.nyi.freebsd.org/data/111i386-default-PR225752/2018-02-11_15h26m53s/logs/errors/pitivi-0.13.4.2_4.log
http://package23.nyi.freebsd.org/data/111i386-default-PR225752/2018-02-11_15h26m53s/logs/errors/mastodon-2.2.0_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR225752/2018-02-11_15h26m53s/logs/errors/w3af-1.6.49_1.log
Comment 12 Yasuhiro KIMURA 2018-02-12 01:09:42 UTC
Created attachment 190534 [details]
updated patch file

(In reply to Antoine Brodin from comment #11)

Thank you for exp-run. I fixed build errors of following 3 ports.

* games/mudmagic
* multimedia/pitivi
* security/w3af

As for net-im/mastodon I'm still work in progress.
Comment 13 Antoine Brodin freebsd_committer 2018-02-12 19:49:59 UTC
While you are working on those ports,  could you try to remove the dependency on:

lang/python metaport from:

- french/aster
- misc/pylize
- multimedia/py-mlt
- sysutils/azure-agent
- www/chromium
- www/iridium
- www/mod_spdy

lang/python2 metaport from:

- textproc/doclifter
Comment 14 Yasuhiro KIMURA 2018-02-18 12:26:08 UTC
(In reply to Antoine Brodin from comment #13)

Current progress report.

1. net-im/mastodon is switched to 'USES=python:2.7'.
2. Dependency upon lang/python2 is removed from textproc/doclifter.
3. Dependency upon lang/python is removed from following 4 ports.
   - french/aster
   - misc/pylize
   - multimedia/py-mlt
   - www/mod_spdy
4. As for following 3 ports, I'm still work in progress.
   - sysutils/azure-agent
   - www/chromium
   - www/iridium
   But things seem rather complex and I'm not sure when work completes.

So if there is no progress within a few days, it may be we should consider committing current result.
Comment 15 commit-hook freebsd_committer 2018-02-18 13:21:03 UTC
A commit references this bug:

Author: antoine
Date: Sun Feb 18 13:20:30 UTC 2018
New revision: 462227
URL: https://svnweb.freebsd.org/changeset/ports/462227

Log:
  Clean up some USES=python

  PR:		225752
  Submitted by:	Yasuhiro KIMURA

Changes:
  head/databases/pg_activity/Makefile
  head/irc/insub/Makefile
  head/misc/py-pyfiglet/Makefile
  head/security/nyx/Makefile
  head/security/py-safe/Makefile
  head/security/py-stem/Makefile
  head/sysutils/moosefs2-master/Makefile
  head/sysutils/moosefs3-master/Makefile
  head/sysutils/py-uptime/Makefile
Comment 16 Yasuhiro KIMURA 2018-02-19 07:45:21 UTC
Created attachment 190778 [details]
updated patch file

(In reply to Yasuhiro KIMURA from comment #14)

Dependency upon lang/python is removed from 3 left ports and all expected works have completed. So please commit attached patch instead of previous ones.
Comment 17 commit-hook freebsd_committer 2018-02-19 11:11:43 UTC
A commit references this bug:

Author: antoine
Date: Mon Feb 19 11:10:49 UTC 2018
New revision: 462307
URL: https://svnweb.freebsd.org/changeset/ports/462307

Log:
  Reduce dependency on the python2 metaport

  PR:		225752
  Submitted by:	Yasuhiro KIMURA

Changes:
  head/accessibility/caribou/Makefile
  head/accessibility/py-papi/Makefile
  head/audio/alsa-lib/Makefile
  head/audio/boodler/Makefile
  head/audio/csound6/Makefile
  head/audio/dir2ogg/Makefile
  head/audio/exaile/Makefile
  head/audio/jokosher/Makefile
  head/audio/mbox/Makefile
  head/audio/mpdbrowser/Makefile
  head/audio/puddletag/Makefile
  head/audio/py-ao/Makefile
  head/audio/py-cddb/Makefile
  head/audio/py-hsaudiotag/Makefile
  head/audio/py-id3/Makefile
  head/audio/py-karaoke/Makefile
  head/audio/py-musicbrainz2/Makefile
  head/audio/py-ogg/Makefile
  head/audio/py-shout/Makefile
  head/audio/py-vorbis/Makefile
  head/audio/pytone/Makefile
  head/audio/soundconverter/Makefile
  head/biology/py-biopython/Makefile
  head/cad/brickutils/Makefile
  head/chinese/bg5pdf/Makefile
  head/converters/py-iconv/Makefile
  head/databases/gadfly/Makefile
  head/databases/grass7/Makefile
  head/databases/kdb/Makefile
  head/databases/mtools-mongodb/Makefile
  head/databases/ntdb/Makefile
  head/databases/pgtune/Makefile
  head/databases/pgworksheet/Makefile
  head/databases/py-MySQLdb/Makefile
  head/databases/py-cdb/Makefile
  head/databases/py-forgetsql/Makefile
  head/databases/py-htsql/Makefile
  head/databases/py-htsql-mysql/Makefile
  head/databases/py-htsql-pgsql/Makefile
  head/databases/py-mysql2pgsql/Makefile
  head/databases/py-oops/Makefile
  head/databases/py-pg8000/Makefile
  head/databases/py-rrdtool_lgpl/Makefile
  head/databases/py-umemcache/Makefile
  head/databases/skytools/Makefile
  head/databases/zodb3/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/conduit/Makefile
  head/deskutils/gnome-tweak-tool/Makefile
  head/deskutils/griffith/Makefile
  head/deskutils/gtg/Makefile
  head/deskutils/ljcharm/Makefile
  head/deskutils/mozo/Makefile
  head/deskutils/rednotebook/Makefile
  head/deskutils/semantik/Makefile
  head/deskutils/superkaramba/Makefile
  head/deskutils/tnote/Makefile
  head/devel/bbfreeze/Makefile
  head/devel/bbfreeze-loader/Makefile
  head/devel/bzr/Makefile
  head/devel/dee/Makefile
  head/devel/diffuse/Makefile
  head/devel/dissy/Makefile
  head/devel/distorm/Makefile
  head/devel/dreampie/Makefile
  head/devel/efl/Makefile
  head/devel/evemu/Makefile
  head/devel/glade3/Makefile
  head/devel/gobject-introspection/Makefile
  head/devel/hgview/Makefile
  head/devel/libftdi1/Makefile
  head/devel/libglade2/Makefile
  head/devel/libmpsse/Makefile
  head/devel/libmpsse/files/patch-configure.ac
  head/devel/libosmocore/Makefile
  head/devel/libvirt-glib/Makefile
  head/devel/ninja-ide/Makefile
  head/devel/py-Products.LDAPMultiPlugins/Makefile
  head/devel/py-Products.Marshall/Makefile
  head/devel/py-cliapp/Makefile
  head/devel/py-cmdtest/Makefile
  head/devel/py-distorm/Makefile
  head/devel/py-five.customerize/Makefile
  head/devel/py-freebsd/Makefile
  head/devel/py-functools32/Makefile
  head/devel/py-gdata/Makefile
  head/devel/py-gobject/Makefile
  head/devel/py-google-apputils/Makefile
  head/devel/py-grouch/Makefile
  head/devel/py-hghooks/Makefile
  head/devel/py-hgsubversion/Makefile
  head/devel/py-instant/Makefile
  head/devel/py-ioflo/Makefile
  head/devel/py-jsonrpclib/Makefile
  head/devel/py-kayako/Makefile
  head/devel/py-krosspython/Makefile
  head/devel/py-liblarch/Makefile
  head/devel/py-meliae/Makefile
  head/devel/py-mongokit/Makefile
  head/devel/py-notify/Makefile
  head/devel/py-ordereddict/Makefile
  head/devel/py-palm/Makefile
  head/devel/py-pp/Makefile
  head/devel/py-pybind11/Makefile
  head/devel/py-pydoop/Makefile
  head/devel/py-pykde4/Makefile
  head/devel/py-pykdeuic4/Makefile
  head/devel/py-pytemplate/Makefile
  head/devel/py-pyutil/Makefile
  head/devel/py-rlcompleter2/Makefile
  head/devel/py-robotframework-selenium2library/Makefile
  head/devel/py-spark/Makefile
  head/devel/py-trace2html/Makefile
  head/devel/py-ttystatus/Makefile
  head/devel/py-tvrage/Makefile
  head/devel/py-uncompyle2/Makefile
  head/devel/py-wsgitools/Makefile
  head/devel/py-xoltar-toolkit/Makefile
  head/devel/py-zLOG/Makefile
  head/devel/pydbus-common/Makefile
  head/devel/pypersrc/Makefile
  head/devel/pyside/Makefile
  head/devel/pyside-tools/Makefile
  head/devel/pyst/Makefile
  head/devel/pythk/Makefile
  head/devel/runsnakerun/Makefile
  head/devel/shedskin/Makefile
  head/devel/spark/Makefile
  head/devel/zziplib/Makefile
  head/dns/py-dns/Makefile
  head/dns/py-idnkit2/Makefile
  head/dns/unbound/Makefile
  head/editors/leo/Makefile
  head/emulators/mame/Makefile
  head/emulators/qemu/Makefile
  head/emulators/qemu-devel/Makefile
  head/emulators/qemu-ppcnv/Makefile
  head/emulators/qemu-utils/Makefile
  head/finance/bitcoin-armory/Makefile
  head/finance/ktoblzcheck/Makefile
  head/finance/tryton28/Makefile
  head/games/anki/Makefile
  head/games/barbie_seahorse_adventures/Makefile
  head/games/bouncy/Makefile
  head/games/childsplay/Makefile
  head/games/gcompris/Makefile
  head/games/mudmagic/Makefile
  head/games/mudmagic/files/
  head/games/mudmagic/files/patch-configure
  head/games/nelly/Makefile
  head/games/oneisenough/Makefile
  head/games/poker-engine/Makefile
  head/games/py-fife/Makefile
  head/games/py-poker-eval/Makefile
  head/games/pycadia/Makefile
  head/games/pyfa/Makefile
  head/games/pythonchess/Makefile
  head/games/pythonsudoku/Makefile
  head/games/pytowerdefense/Makefile
  head/games/schiff/Makefile
  head/games/schwarzweiss/Makefile
  head/games/secrettower/Makefile
  head/games/super_mario_bros_python/Makefile
  head/games/tuxfighter/Makefile
  head/games/unknown-horizons/Makefile
  head/games/wxlauncher/Makefile
  head/games/zephulor/Makefile
  head/graphics/electrix/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/lcms-python/Makefile
  head/graphics/lcms-python/files/patch-configure
  head/graphics/mapserver/Makefile
  head/graphics/mypaint/Makefile
  head/graphics/opencolorio/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/piglit/Makefile
  head/graphics/py-blockdiagcontrib-cisco/Makefile
  head/graphics/py-djvulibre/Makefile
  head/graphics/py-exiv2/Makefile
  head/graphics/py-gimp/Makefile
  head/graphics/py-pivy/Makefile
  head/graphics/py-sk1/Makefile
  head/graphics/pymorph/Makefile
  head/graphics/pysvg/Makefile
  head/graphics/variety/Makefile
  head/graphics/vigra/Makefile
  head/graphics/zbar/Makefile
  head/japanese/mailman/Makefile
  head/japanese/tegaki-recognize/Makefile
  head/lang/py-mx-base/Makefile
  head/lang/spidermonkey170/Makefile
  head/lang/spidermonkey185/Makefile
  head/lang/spidermonkey24/Makefile
  head/lang/v8/Makefile
  head/lang/v8-devel/Makefile
  head/mail/getmail/Makefile
  head/mail/py-milter/Makefile
  head/mail/py-zope.sendmail/Makefile
  head/mail/rss2email2/Makefile
  head/mail/svnmailer/Makefile
  head/math/biggles/Makefile
  head/math/cadabra2/Makefile
  head/math/cantor/Makefile
  head/math/gnumeric/Makefile
  head/math/hfst/Makefile
  head/math/nlopt/Makefile
  head/math/openfst/Makefile
  head/math/py-bitmath/Makefile
  head/math/py-ffc/Makefile
  head/math/py-fiat/Makefile
  head/math/py-fpconst/Makefile
  head/math/py-gato/Makefile
  head/math/py-gmpy2/Makefile
  head/math/py-symeig/Makefile
  head/math/py-ufl/Makefile
  head/math/py-viper/Makefile
  head/math/saga/Makefile
  head/math/ufc/Makefile
  head/misc/gimp-help-en/Makefile
  head/misc/py-progressbar231/Makefile
  head/misc/py-python-geohash/Makefile
  head/misc/py-yolk/Makefile
  head/misc/typetrainer/Makefile
  head/misc/wotsap/Makefile
  head/multimedia/freevo/Makefile
  head/multimedia/openshot/Makefile
  head/multimedia/pitivi/files/
  head/multimedia/pitivi/files/patch-configure
  head/multimedia/plexpy/Makefile
  head/multimedia/py-enzyme/Makefile
  head/multimedia/py-flvlib/Makefile
  head/multimedia/py-gstreamer/Makefile
  head/multimedia/py-kaa-metadata/Makefile
  head/multimedia/totem/Makefile
  head/net/googlecl/Makefile
  head/net/netatalk3/Makefile
  head/net/neubot/Makefile
  head/net/nsscache/Makefile
  head/net/py-avahi/Makefile
  head/net/py-gntp/Makefile
  head/net/py-gspread/Makefile
  head/net/py-gspreadsheet/Makefile
  head/net/py-python-ntlm/Makefile
  head/net/py-raet/Makefile
  head/net/py-s3cmd/Makefile
  head/net/py-soappy/Makefile
  head/net/py-suds/Makefile
  head/net/py-wolframalpha/Makefile
  head/net/py-zsi/Makefile
  head/net/samba44/Makefile
  head/net/samba45/Makefile
  head/net/spideroak/Makefile
  head/net/xorp/Makefile
  head/net-im/cjc/Makefile
  head/net-im/libtelepathy/Makefile
  head/net-im/proxy65/Makefile
  head/net-im/py-jabberbot/Makefile
  head/net-im/py-libturpial/Makefile
  head/net-im/py-skype4py/Makefile
  head/net-im/telepathy-butterfly/Makefile
  head/net-im/telepathy-farsight/Makefile
  head/net-im/telepathy-farstream/Makefile
  head/net-im/telepathy-gabble/Makefile
  head/net-im/telepathy-glib/Makefile
  head/net-im/telepathy-idle/Makefile
  head/net-im/telepathy-logger/Makefile
  head/net-im/telepathy-logger-qt4/Makefile
  head/net-im/telepathy-python/Makefile
  head/net-im/telepathy-qt4/Makefile
  head/net-im/telepathy-rakia/Makefile
  head/net-im/telepathy-salut/Makefile
  head/net-im/turpial/Makefile
  head/net-mgmt/crmsh/Makefile
  head/net-mgmt/librenms-agent/Makefile
  head/net-mgmt/nagstamon/Makefile
  head/net-mgmt/tornova/Makefile
  head/net-p2p/tribler/Makefile
  head/news/hellanzb/Makefile
  head/news/xpn/Makefile
  head/print/lyx/Makefile
  head/print/system-config-printer/Makefile
  head/science/avogadro/Makefile
  head/science/py-coards/Makefile
  head/science/py-pupynere/Makefile
  head/science/py-pyaixi/Makefile
  head/science/py-ws2300/Makefile
  head/science/silo/Makefile
  head/security/cfv/Makefile
  head/security/denyhosts/Makefile
  head/security/py-PF/Makefile
  head/security/py-cryptlib_py/Makefile
  head/security/py-keyczar/Makefile
  head/security/py-onetime/Makefile
  head/security/py-pydeep/Makefile
  head/security/py-requests-kerberos/Makefile
  head/security/py-slowaes/Makefile
  head/security/py-tlslite/Makefile
  head/security/py-twofish/Makefile
  head/security/sssd/Makefile
  head/security/w3af/Makefile
  head/shells/jailkit/Makefile
  head/sysutils/ansible1/Makefile
  head/sysutils/bamf/Makefile
  head/sysutils/cinnamon-control-center/Makefile
  head/sysutils/condor/Makefile
  head/sysutils/feather/Makefile
  head/sysutils/hatop/Makefile
  head/sysutils/py-XenAPI/Makefile
  head/sysutils/py-halite/Makefile
  head/sysutils/py-pywatchman/Makefile
  head/sysutils/py-zfs/Makefile
  head/sysutils/zeitgeist/Makefile
  head/textproc/archmage/Makefile
  head/textproc/dblatex/Makefile
  head/textproc/gnome-doc-utils/Makefile
  head/textproc/ibus/Makefile
  head/textproc/itstool/Makefile
  head/textproc/kiss-templates/Makefile
  head/textproc/kreport/Makefile
  head/textproc/link-grammar/Makefile
  head/textproc/loook/Makefile
  head/textproc/py-bugzillatools/Makefile
  head/textproc/py-dsv/Makefile
  head/textproc/py-elasticsearch-dsl-py/Makefile
  head/textproc/py-elasticsearch2-dsl-py/Makefile
  head/textproc/py-excelerator/Makefile
  head/textproc/py-jaxml/Makefile
  head/textproc/py-pdfminer/Makefile
  head/textproc/py-pyes/Makefile
  head/textproc/py-rstyoutube/Makefile
  head/textproc/py-tvgrab/Makefile
  head/textproc/py-xlutils/Makefile
  head/textproc/py2html/Makefile
  head/textproc/pychm/Makefile
  head/textproc/queequeg/Makefile
  head/textproc/rubber/Makefile
  head/textproc/xxdiff-scripts/Makefile
  head/www/cherokee/Makefile
  head/www/cppcms/Makefile
  head/www/gaeutilities/Makefile
  head/www/google-sitemapgen/Makefile
  head/www/jtoolkit/Makefile
  head/www/linkchecker/Makefile
  head/www/node/Makefile
  head/www/node4/Makefile
  head/www/node6/Makefile
  head/www/node8/Makefile
  head/www/py-HTMLgen/Makefile
  head/www/py-albatross/Makefile
  head/www/py-amf/Makefile
  head/www/py-apachelog/Makefile
  head/www/py-beautifulsoup32/Makefile
  head/www/py-blogofile/Makefile
  head/www/py-cherrypy-old/Makefile
  head/www/py-clientform/Makefile
  head/www/py-collective.easytemplate/Makefile
  head/www/py-collective.templateengines/Makefile
  head/www/py-django-appmedia/Makefile
  head/www/py-django-cms/Makefile
  head/www/py-django-extensions/Makefile
  head/www/py-django-livesettings/Makefile
  head/www/py-django-sekizai/Makefile
  head/www/py-funkload/Makefile
  head/www/py-graphite-web/Makefile
  head/www/py-jswebkit/Makefile
  head/www/py-meld/Makefile
  head/www/py-meld3/Makefile
  head/www/py-mt/Makefile
  head/www/py-prewikka/Makefile
  head/www/py-rhodecode/Makefile
  head/www/py-slimit/Makefile
  head/www/py-surl/Makefile
  head/www/py-tmdb3/Makefile
  head/www/py-uliweb/Makefile
  head/www/py-webhelpers/Makefile
  head/www/py-webkitgtk/Makefile
  head/www/pyblosxom/Makefile
  head/www/pycarddav/Makefile
  head/www/qooxdoo/Makefile
  head/www/radicale/Makefile
  head/www/trac-accountmanager/Makefile
  head/www/trac-attachmentpolicy/Makefile
  head/www/trac-autocomplete/Makefile
  head/www/trac-bzr/Makefile
  head/www/trac-ccselector/Makefile
  head/www/trac-childtickets/Makefile
  head/www/trac-customfieldadmin/Makefile
  head/www/trac-datefield/Makefile
  head/www/trac-defaultcc/Makefile
  head/www/trac-discussion/Makefile
  head/www/trac-downloads/Makefile
  head/www/trac-email2trac/Makefile
  head/www/trac-estimator/Makefile
  head/www/trac-fivestarvote/Makefile
  head/www/trac-fullblog/Makefile
  head/www/trac-fullblognotification/Makefile
  head/www/trac-gantt/Makefile
  head/www/trac-graphviz/Makefile
  head/www/trac-keywords/Makefile
  head/www/trac-keywordsecretticket/Makefile
  head/www/trac-math/Makefile
  head/www/trac-mercurial/Makefile
  head/www/trac-navadd/Makefile
  head/www/trac-pydotorgtheme/Makefile
  head/www/trac-scrumburndown/Makefile
  head/www/trac-spam-filter/Makefile
  head/www/trac-subtickets/Makefile
  head/www/trac-tags/Makefile
  head/www/trac-themeengine/Makefile
  head/www/trac-ticketimport/Makefile
  head/www/trac-tickettemplate/Makefile
  head/www/trac-timingandestimation/Makefile
  head/www/trac-tracdragdrop/Makefile
  head/www/trac-vote/Makefile
  head/www/trac-watchlist/Makefile
  head/www/trac-wikitopdf/Makefile
  head/www/trac-wysiwyg/Makefile
  head/www/trac-xmlrpc/Makefile
  head/www/uzbl/Makefile
  head/www/varnish-libvmod-awsrest/Makefile
  head/www/varnish-libvmod-digest/Makefile
  head/www/varnish-libvmod-maxminddb/Makefile
  head/www/varnish-modules/Makefile
  head/www/varnish4/Makefile
  head/www/varnish5/Makefile
  head/www/web2ldap/Makefile
  head/x11/cinnamon-desktop/Makefile
  head/x11/cinnamon-menus/Makefile
  head/x11/guake/Makefile
  head/x11/keybinder/Makefile
  head/x11/plasma-scriptengine-python/Makefile
  head/x11/xpra/Makefile
  head/x11-fm/nemo/Makefile
  head/x11-fonts/font-manager/Makefile
  head/x11-fonts/py-bdflib/Makefile
  head/x11-toolkits/diorite/Makefile
  head/x11-toolkits/py-gnome2/Makefile
  head/x11-toolkits/py-gtk2/Makefile
  head/x11-wm/compizconfig-python/Makefile
  head/x11-wm/ede/Makefile
  head/x11-wm/muffin/Makefile
Comment 18 commit-hook freebsd_committer 2018-02-19 13:19:40 UTC
A commit references this bug:

Author: antoine
Date: Mon Feb 19 13:18:58 UTC 2018
New revision: 462316
URL: https://svnweb.freebsd.org/changeset/ports/462316

Log:
  Remove dependency on the python metaports

  PR:		225752
  Submitted by:	Yasuhiro KIMURA

Changes:
  head/misc/pylize/Makefile
  head/multimedia/py-mlt/Makefile
  head/net-im/mastodon/Makefile
  head/sysutils/azure-agent/Makefile
  head/textproc/doclifter/Makefile
  head/www/mod_spdy/Makefile
Comment 19 Antoine Brodin freebsd_committer 2018-02-19 15:24:48 UTC
Those ports still depend on the python metaport:

deskutils/nemo-extensions
devel/grumpy
emulators/hatari
games/chocolate-doom
games/0ad
lang/phantomjs
lang/swift
net/google-cloud-sdk
net/google-daemon
net/google-startup-scripts
Comment 20 commit-hook freebsd_committer 2018-02-20 06:32:46 UTC
A commit references this bug:

Author: antoine
Date: Tue Feb 20 06:32:07 UTC 2018
New revision: 462371
URL: https://svnweb.freebsd.org/changeset/ports/462371

Log:
  Remove dependency on the python metaports

  PR:		225752
  Submitted by:	Yasuhiro KIMURA

Changes:
  head/french/aster/Makefile
  head/www/chromium/Makefile
  head/www/iridium/Makefile
Comment 21 Yasuhiro KIMURA 2018-02-21 00:17:56 UTC
Created attachment 190839 [details]
updated patch file

Dependency upon lang/python is removed from following 7 ports.

* deskutils/nemo-extensions
* devel/grumpy
* emulators/hatari
* games/chocolate-doom
* games/0ad
* lang/phantomjs
* lang/swift
Comment 22 commit-hook freebsd_committer 2018-02-21 16:25:49 UTC
A commit references this bug:

Author: antoine
Date: Wed Feb 21 16:24:54 UTC 2018
New revision: 462532
URL: https://svnweb.freebsd.org/changeset/ports/462532

Log:
  Remove dependency on the python metaport

  PR:		225752
  Submitted by:	Yasuhiro KIMURA

Changes:
  head/deskutils/nemo-extensions/Makefile
  head/devel/grumpy/Makefile
  head/emulators/hatari/Makefile
  head/emulators/hatari/files/patch-tools_atari-hd-image.sh
  head/games/0ad/Makefile
  head/games/chocolate-doom/Makefile
  head/lang/phantomjs/Makefile
  head/lang/swift/Makefile
Comment 23 commit-hook freebsd_committer 2018-02-26 19:33:45 UTC
A commit references this bug:

Author: antoine
Date: Mon Feb 26 19:33:21 UTC 2018
New revision: 463043
URL: https://svnweb.freebsd.org/changeset/ports/463043

Log:
  Remove support for deprecated USES=python:2 and USES=python:3

  PR:		225752
  With hat:	portmgr

Changes:
  head/Mk/Uses/python.mk
Comment 24 Samy Mahmoudi 2018-08-13 11:09:32 UTC
Hello,

At first sight, it seems Yasuhiro KIMURA has done the necessary changes to dependent ports. Moreover, his removal of the deprecated USES has been commited (see comment 23).

Is this still in progress ?
Comment 25 Yasuhiro KIMURA 2019-08-11 19:50:30 UTC
All "USES=python2" and "USES=python3" are removed now.